#!/bin/sh
#
# This script installs Caffeine on Linux and copies the plugin libraries
# over.
#

STANDARDIFS=$IFS
IFS="
"            # By default, only break strings on a new line

PKG_DIR=`head -n 1 /etc/.snapvault`
if [ ! -n "$PKG_DIR" ]
then
	echo "OSSV is not installed on this system"
	exit 1
fi

. "$PKG_DIR"/uninstall/commonfuncs.sh


#
# First, get the caffeine specific information
#
get_caffeine_info "$PKG_DIR"

if [ "Yes" = "$CAFFEINE_PRESENT" ]
then
	echo "$CAFFEINE_NAME is installed at $CAFFEINE_PATH"

	echo "Stopping the $CAFFEINE_NAME daemon"
	"$CAFFEINE_EXE" stop
	if [ 0 != $? ]
	then
		echo "Failed to stop the $CAFFEINE_NAME daemon"
		exit 1
	fi

	cp -f "$PKG_DIR"/manageability/*.so "$CAFFEINE_PATH"/
	if [ 0 != $? ]
	then
		echo "Failed to copy the OSSV plugins to $CAFFEINE_PATH"
		exit 1
	fi

	echo "Starting the $CAFFEINE_NAME daemon"
	"$CAFFEINE_EXE" start
	if [ 0 != $? ]
	then
		echo "Failed to start the $CAFFEINE_NAME daemon"
		exit 1
	fi
else
	echo "$CAFFEINE_NAME is not installed on this system."
	echo "Run this utility after installing the software."
	exit 1
fi

exit 0
